
***Sezione alcol e guida

***** creo la variabile alcolguida che indica la percentuale di persone 
***** nella popolazione generale che negli ultimi 30 giorni si sono messe alla guida
***** dopo aver bevuto almeno 2 unità alcoliche nell'ora precedente 

gen alcolguida=.
replace alcolguida=1 if s05_alcool_guida==1 
replace alcolguida=0 if s05_alcool_guida==2 | s05_alcool_guida==3 | s05_alcool_guida==-99 | s05_alcool_guida==. 
label define alcolguida 1 "1 si" 0 "0 no"
label value alcolguida  alcolguida 

***** creo la variabile alcolguida2 che stima la percentuale di persone,  
***** tra quelli che hanno riferito di aver bevuto ed aver guidato negli ultimi 30 giorni, 
***** che si sono messe alla guida dopo aver bevuto almeno 2 unità di alcol

gen alcolguida2=.
replace alcolguida2=1 if s05_alcool_guida==1 
replace alcolguida2=0 if s05_alcool_guida==2 
label define alcolguida2 1 "1 si" 0 "0 no"
label value alcolguida2  alcolguida2 

***** categorizzo le volte che è accaduto di guidare con 2 unità di bevanda alcolica

gen volte_guida_alcol=.
replace volte_guida_alcol=1 if s05_alcool_guida_volte<2
replace volte_guida_alcol=2 if s05_alcool_guida_volte<3 & s05_alcool_guida_volte>1 & s05_alcool_guida_volte!=.
replace volte_guida_alcol=3 if s05_alcool_guida_volte>2 & s05_alcool_guida_volte!=.
replace volte_guida_alcol=4 if s05_alcool_guida_volte==. 
label define volte_guida_alcol 1 "1 1 volta" 2 "2 2 volte" 3 "3 3 volte o piu" 4 "4 no info"
label value volte_guida_alcol  volte_guida_alcol 


***** chi è stato passeggero in auto/moto con chi ha guidato con 
***** almeno 2 unità di alcol bevuto nell'ora precedente, tra quelli 
***** che hanno risposto di essere saliti su auto/moto negli ultimi 30 gg

gen alcolpassegg=.
replace alcolpassegg=1 if s05_alcool_passegg==1 
replace alcolpassegg=0 if s05_alcool_passegg==2 
replace alcolpassegg=. if s05_alcool_passegg==3 | s05_alcool_passegg==-99 | s05_alcool_passegg ==.
label define alcolpassegg 1 "1 si" 0 "0 no"
label value alcolpassegg alcolpassegg 

***** categorizzo le volte che è accaduto di essere passeggero con ***** guidatore che ha bevuto più di 2 unità di bevanda alcolica
gen volte_con_guida_alcol=.
replace volte_con_guida_alcol=1 if s05_alcool_passegg_volte <2
replace volte_con_guida_alcol =2 if s05_alcool_passegg_volte <3 & s05_alcool_passegg_volte >1 & s05_alcool_passegg_volte!=.
replace volte_con_guida_alcol =3 if s05_alcool_passegg_volte >2 & s05_alcool_passegg_volte!=.
replace volte_con_guida_alcol =4 if s05_alcool_passegg_volte ==. 
label define volte_con_guida_alcol 1 "1 1 volta" 2 "2 2 volte" 3 "3 3 volte o piu" 4 "4 no info"
label value volte_con_guida_alcol  volte_con_guida_alcol 


****Creo la variabile fermato
gen fermato=.
replace fermato=1 if s6_se_fermato_fo_mo==1 
replace fermato=0 if s6_se_fermato_fo_mo==2 
label define fermato 1 "1 si" 0 "0 no"
label value fermato fermato 

***Creo la variabile fermato_qv
gen fermato_qv=s6_quante_volte_fermato_fo_mo

***Creo la variabile etilotest
gen etilotest=.
replace etilotest=1 if s6_se_etilotest_mo==1 
replace etilotest=0 if s6_se_etilotest_mo==2 
label define etilotest 1 "1 si" 0 "0 no"
label value etilotest etilotest 

***Creo la variabile etilotest_qv
gen etilotest_qv=s6_quante_volte_etilotest_mo
