***creazione delle variabili per il modulo sull'health literacy Toscana

gen capire=.
replace capire=1 if s23_capire_info==4
replace capire=2 if s23_capire_info==3
replace capire=3 if s23_capire_info==2
replace capire=4 if s23_capire_info==1
replace capire=. if s23_capire_info==-99
label define capire 1"1 molto facile" 2"2 abbastanza facile" 3"3 abbastanza difficile" 4"4 molto difficile" 5"5 non so"
label value capire capire

gen giudicare=.
replace giudicare=1 if s23_giudicare_info==4
replace giudicare=2 if s23_giudicare_info==3
replace giudicare=3 if s23_giudicare_info==2
replace giudicare=4 if s23_giudicare_info==1
replace giudicare=. if s23_giudicare_info==-99
label define giudicare 1"1 molto facile" 2"2 abbastanza facile" 3"3 abbastanza difficile" 4"4 molto difficile" 5"5 non so"
label value giudicare giudicare

gen trovare=.
replace trovare=1 if s23_trovare_info_psic==4
replace trovare=2 if s23_trovare_info_psic==3
replace trovare=3 if s23_trovare_info_psic==2
replace trovare=4 if s23_trovare_info_psic==1
replace trovare=. if s23_trovare_info_psic==-99
label define trovare 1"1 molto facile" 2"2 abbastanza facile" 3"3 abbastanza difficile" 4"4 molto difficile" 5"5 non so"
label value trovare trovare

gen individuare=.
replace individuare=1 if s23_individuare_attivita==4
replace individuare=2 if s23_individuare_attivita==3
replace individuare=3 if s23_individuare_attivita==2
replace individuare=4 if s23_individuare_attivita==1
replace individuare=. if s23_individuare_attivita==-99
label define individuare 1"1 molto facile" 2"2 abbastanza facile" 3"3 abbastanza difficile" 4"4 molto difficile" 5"5 non so"
label value individuare individuare

gen usare=.
replace usare=1 if s23_usare_info==4
replace usare=2 if s23_usare_info==3
replace usare=3 if s23_usare_info==2
replace usare=4 if s23_usare_info==1
replace usare=. if s23_usare_info==-99
label define usare 1"1 molto facile" 2"2 abbastanza facile" 3"3 abbastanza difficile" 4"4 molto difficile" 5"5 non so"
label value usare usare

gen seconda_opinione=.
replace seconda_opinione=1 if s23_seconda_opinione==4
replace seconda_opinione=2 if s23_seconda_opinione==3
replace seconda_opinione=3 if s23_seconda_opinione==2
replace seconda_opinione=4 if s23_seconda_opinione==1
replace seconda_opinione=. if s23_seconda_opinione==-99
label define seconda_opinione 1"1 molto facile" 2"2 abbastanza facile" 3"3 abbastanza difficile" 4"4 molto difficile" 5"5 non so"
label value seconda_opinione seconda_opinione

*** calcolo lo score se hanno risposto a tutti gli items devo recuperare quelli che hanno un solo "non so"
gen score_HL=.
replace score_HL=(giudicare+ capire+ trovare+ individuare+ usare+ seconda_opinione)/6 if (giudicare>0 & capire>0 & trovare>0 & individuare>0 & usare>0 & seconda_opinione>0)

replace score_HL=(giudicare+ capire+ trovare+ individuare+ usare)/5 if (giudicare>0 & capire>0 & trovare>0 & individuare>0 & usare>0 & seconda_opinione==.)

replace score_HL=(giudicare+ capire+ trovare+ individuare+ seconda_opinione)/5 if (giudicare>0 & capire>0 & trovare>0 & individuare>0 & seconda_opinione>0 & usare==.)

replace score_HL=(giudicare+ capire+ trovare+ usare+ seconda_opinione)/5 if (giudicare>0 & capire>0 & trovare>0 & seconda_opinione>0 & usare>0 & individuare==.)

replace score_HL=(giudicare+ capire+ individuare+ usare+ seconda_opinione)/5 if (giudicare>0 & capire>0 & seconda_opinione>0 & individuare>0 & usare>0 & trovare==.)

replace score_HL=(giudicare+ trovare+ individuare+ usare+ seconda_opinione)/5 if (giudicare>0 & seconda_opinione>0 & trovare>0 & individuare>0 & usare>0 & capire==.)

replace score_HL=(capire   + trovare+ individuare+ usare+ seconda_opinione)/5 if (seconda_opinione>0 & capire>0 & trovare>0 & individuare>0 & usare>0 & giudicare==.)

gen livello_HL=.
replace livello_HL=1 if score_HL>=1 & score_HL<=2
replace livello_HL=2 if score_HL>2 & score_HL<3
replace livello_HL=3 if score_HL>=3 & score_HL<=4
label define livello_HL 1"1 inadeguato" 2"2 problematico" 3"3 sufficiente"
label value livello_HL livello_HL


svyset [pweight=pesocomplex], strata(asl_strato) psu(cont_aslstrato) singleunit(centered)
set more off
log using "C:\Users\minardi_valentina\Dropbox\Kit Analisi 2010 PASSI\ANALISI 2017\HL\HL_rev.log", replace

cd "/Users/minardi_valentina/Dropbox/Kit Analisi 2010 PASSI/ANALISI 2017/HL"

estpost svy, vce(linearized): tabulate  livello_HL, ci  percent
estout using livello_HL.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate claeta4 livello_HL, ci row percent
estout using livello_HLXclaeta4.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate sesso livello_HL, ci row percent
estout using livello_HLXsesso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate claeta4 livello_HL if sesso==1, ci row percent
estout using livello_HLXclaeta4_M.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate claeta4 livello_HL if sesso==2, ci row percent
estout using livello_HLXclaeta4_F.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate istruz4cat livello_HL, ci row percent
estout using livello_HLXistruz4cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diffeconomiche3cat livello_HL, ci row percent
estout using livello_HLXdiffeconomiche3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate cittadinanza livello_HL, ci row percent
estout using livello_HLXcittadinanza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate patologia2cat_2014 livello_HL, ci row  percent
estout using livello_HL_patologia2cat_2014.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

log close
