gen af_moderatalg_sett_2020= .
replace af_moderatalg_sett_2020 = s02_attiv_moder_gg * s02_attiv_moder_min if s02_attiv_moder==1
replace af_moderatalg_sett_2020 = . if s02_attiv_moder_gg ==. | s02_attiv_moder_gg==-99 | s02_attiv_moder_min ==. | s02_attiv_moder_min ==-99

gen af_intensalg_sett_2020= .
replace af_intensalg_sett_2020 = s02_tlib_attiv_inte_gg * s02_tlib_attiv_inte_min if s02_tlib_attiv_inte==1
replace af_intensalg_sett_2020 = . if s02_tlib_attiv_inte_gg ==. | s02_tlib_attiv_inte_gg==-99 | s02_tlib_attiv_inte_min ==. | s02_tlib_attiv_inte_min ==-99

gen af_intensalg_settx2_2020=af_intensalg_sett_2020 * 2

egen af_lg_compl_2020 = rowtotal (af_moderatalg_sett_2020 af_intensalg_settx2_2020), m

gen adesionelg_tlib_3cat_2020 =.
replace adesionelg_tlib_3cat_2020 =1 if af_lg_compl_2020 > 149 & af_lg_compl_2020 !=.
replace adesionelg_tlib_3cat_2020 =2 if af_lg_compl_2020 < 150 & af_lg_compl_2020 > 0 & af_lg_compl_2020 !=.
replace adesionelg_tlib_3cat_2020 =3 if af_lg_compl_2020==0
replace adesionelg_tlib_3cat_2020 =3 if (s02_attiv_moder==2 | s02_attiv_moder==-99) & af_lg_compl_2020==.
replace adesionelg_tlib_3cat_2020 =3 if (s02_tlib_attiv_inte==2 | s02_tlib_attiv_inte==-99) & af_lg_compl_2020==.
label define adesionelg_tlib_3cat_2020 1 "1 attivo tl" 2 "2 parzialmente attivo tl" 3 "3 non attivo tl"
label value adesionelg_tlib_3cat_2020 adesionelg_tlib_3cat_2020
***** elimino le interviste di Gargano e Petrila
replace adesionelg_tlib_3cat_2020=. if int_ko==1

gen adesionelg_tlib_4cat_2020 =.
replace adesionelg_tlib_4cat_2020 =1 if af_lg_compl_2020 > 299 & af_lg_compl_2020 !=.
replace adesionelg_tlib_4cat_2020 =2 if af_lg_compl_2020 <300 & af_lg_compl_2020 >149 & af_lg_compl_2020 !=.
replace adesionelg_tlib_4cat_2020 =3 if af_lg_compl_2020 < 150 & af_lg_compl_2020 > 0 & af_lg_compl_2020 !=.
replace adesionelg_tlib_4cat_2020 =4 if af_lg_compl_2020==0
replace adesionelg_tlib_4cat_2020 =4 if (s02_attiv_moder==2 | s02_attiv_moder==-99) & af_lg_compl_2020==.
replace adesionelg_tlib_4cat_2020 =4 if (s02_tlib_attiv_inte==2 | s02_tlib_attiv_inte==-99) & af_lg_compl_2020==.
label define adesionelg_tlib_4cat_2020 1 "1 molto attivo tl"  2 "2 attivo tl" 3 "3 parzialmente attivo tl" 4 "4 non attivo tl"
label value adesionelg_tlib_4cat_2020 adesionelg_tlib_4cat_2020
***** elimino le interviste di Gargano e Petrila
replace adesionelg_tlib_4cat_2020=. if int_ko==1

gen adesionelg_tlib_2cat_2020 =.
replace adesionelg_tlib_2cat_2020 =1 if af_lg_compl_2020 > 0 & af_lg_compl_2020 !=.
replace adesionelg_tlib_2cat_2020 =0 if af_lg_compl_2020==0
replace adesionelg_tlib_2cat_2020 =0 if (s02_attiv_moder==2 | s02_attiv_moder==-99) & af_lg_compl_2020==.
replace adesionelg_tlib_2cat_2020 =0 if (s02_tlib_attiv_inte==2 | s02_tlib_attiv_inte==-99) & af_lg_compl_2020==.
label define adesionelg_tlib_2cat_2020 1"1 almeno un po attivo tl" 0 "0 sedentario tl"
label value adesionelg_tlib_2cat_2020 adesionelg_tlib_2cat_2020
***** elimino le interviste di Gargano e Petrila
replace adesionelg_tlib_2cat_2020=. if int_ko==1

gen adesionelg_tlib_2cat_log_2020 =.
replace adesionelg_tlib_2cat_log_2020 =0 if af_lg_compl_2020 > 0 & af_lg_compl_2020 !=.
replace adesionelg_tlib_2cat_log_2020 =1 if af_lg_compl_2020==0
replace adesionelg_tlib_2cat_log_2020 =1 if (s02_attiv_moder==2 | s02_attiv_moder==-99) & af_lg_compl_2020==.
replace adesionelg_tlib_2cat_log_2020 =1 if (s02_tlib_attiv_inte==2 | s02_tlib_attiv_inte==-99) & af_lg_compl_2020==.
label define adesionelg_tlib_2cat_log_2020 0"0 almeno un po attivo tl" 1 "1 sedentario tl"
label value adesionelg_tlib_2cat_log_2020 adesionelg_tlib_2cat_log_2020
***** elimino le interviste di Gargano e Petrila
replace adesionelg_tlib_2cat_log_2020=. if int_ko==1

gen categoria_attivita_2020 =.
replace categoria_attivita_2020 =2 if (adesionelg_lav==2 | adesionelg_lav==3) & (adesionelg_tlib_3cat_2020==2 | adesionelg_tlib_3cat_2020==3) 
replace categoria_attivita_2020 =1 if adesionelg_lav  == 1 
replace categoria_attivita_2020 =1 if adesionelg_tlib_3cat_2020 == 1 
replace categoria_attivita_2020 =3 if adesionelg_lav  == 3 & adesionelg_tlib_3cat_2020 == 3
label define categoria_attivita_2020 1 "1 attivo compl" 2 "2 parzialmente attivo compl" 3 "3 sedentario compl"
label value categoria_attivita_2020 categoria_attivita_2020
***** elimino le interviste di Gargano e Petrila
replace categoria_attivita_2020=. if int_ko==1

gen sedentario_2020 =.
replace sedentario_2020 = 0 if categoria_attivita_2020 == 1 | categoria_attivita_2020 == 2
replace sedentario_2020 = 1 if categoria_attivita_2020 == 3
label define sedentario_2020 0 "0 non sedentario compl" 1 "1 sedentario compl"
label value sedentario_2020 sedentario_2020 
***** elimino le interviste di Gargano e Petrila
replace sedentario_2020=. if int_ko==1


