
***Definisco la variabile Salute5cat (5 categorie)
gen salute5cat=.
replace salute5cat=1 if s01_salute==1
replace salute5cat=2 if s01_salute==2
replace salute5cat=3 if s01_salute==3
replace salute5cat=4 if s01_salute==4
replace salute5cat=5 if s01_salute==5
label define salute5cat 1"1 molto bene" 2"2 bene" 3"3 discretamente" 4"4 male" 5"5 molto male" 
label value salute5cat salute5cat


***Definisco la variabile Salute3cat a 3 livelli:
***  (molto bene + bene), discreto, (male + molto male)
***   NB: non c' il NON SO per analogia e confronto con il 2005/6

gen salute3cat=.
replace salute3cat=1 if s01_salute==1 | s01_salute==2
replace salute3cat=2 if s01_salute==3
replace salute3cat=3 if s01_salute==4 | s01_salute==5
label define salute3cat 1"1 molto bene/bene" 2"2 discretamente" 3"3 male/molto male" 
label value salute3cat salute3cat


***Definisco la variabile Salute2cat, accorpando (molto bene + bene) e (discreto + male + molto male)
***NB: non c' il NON SO per analogia e confronto con il 2005/6

gen salute2cat=.
replace salute2cat=1 if s01_salute==1 | s01_salute==2
replace salute2cat=0 if s01_salute==3 | s01_salute==4 | s01_salute==5
label define salute2cat 1"1 molto bene/bene" 0"0 discreto/male/molto male"
label value salute2cat salute2cat

********* Definisco la variabile dei giorni  totali in cattiva salute
*** per motivi fisici e psichici che non pu superare 30giorni

gen unhealthy_days=.
replace unhealthy_days=s01_salute_fis+s01_salute_psic if s01_salute_fis!=-99 & s01_salute_psic!=-99
replace unhealthy_days=30 if (unhealthy_days>30 & unhealthy_days !=.)

*** Definisco la variabile dei frequenti problemi mentali  
*** (persone che riferiscono di essersi sentite male per motivi psicologi pi di 14 gg )

gen frequenti_prob_mentali=.
replace frequenti_prob_mentali=1 if (s01_salute_psic >= 14 & s01_salute_psic !=.)
replace frequenti_prob_mentali=0 if (s01_salute_psic <14 & s01_salute_psic !=.) & s01_salute_psic !=-99
label define frequenti_prob_mentali 1"1 si" 0"0 no"
label value frequenti_prob_mentali frequenti_prob_mentali

***** Categorizzo la variabile "giorni in cattiva salute dovuti alle condizioni fisiche" (i -99 sono ricodificati come missing)

gen salute_fis_cat=.
replace salute_fis_cat=0 if s01_salute_fis==0
replace salute_fis_cat=1 if s01_salute_fis>0 & s01_salute_fis<14 & s01_salute_fis !=.
replace salute_fis_cat=2 if s01_salute_fis>13 & s01_salute_fis !=.
label define salute_fis_cat 0"0 0 giorni" 1"1 1-13 giorni" 2"2 14+ giorni"
label value salute_fis_cat salute_fis_cat


***** Categorizzo la variabile "giorni in cattiva salute dovuti alle condizioni psicologiche" (i -99 sono ricodificati come missing)

gen salute_psic_cat=.
replace salute_psic_cat=0 if s01_salute_psic==0
replace salute_psic_cat=1 if s01_salute_psic>0 & s01_salute_psic<14 & s01_salute_psic !=.
replace salute_psic_cat=2 if s01_salute_psic>13 & s01_salute_psic !=.
label define salute_psic_cat 0"0 0 giorni" 1"1 1-13 giorni" 2"2 14+ giorni"
label value salute_psic_cat salute_psic_cat

***** Categorizzo la variabile "giorni in cattiva salute per cui non ha svolto le attivit abituali" (i -99 sono ricodificati come missing)

gen abit_attiv_cat=.
replace abit_attiv_cat=0 if s01_abit_attiv==0
replace abit_attiv_cat=1 if s01_abit_attiv>0 & s01_abit_attiv<14 & s01_abit_attiv !=.
replace abit_attiv_cat=2 if s01_abit_attiv>13 & s01_abit_attiv !=.
label define abit_attiv_cat 0"0 0 giorni" 1"1 1-13 giorni" 2"2 14+ giorni"
label value abit_attiv_cat abit_attiv_cat
