
***Creazione variabili comuni

*** creo una variabile che userò per escludere dalle analisi tutte le osservazioni <18, >69 anni, senza età o senza peso
gen da_escludere=0


*** trasformo in valori mancanti tutti i valori di IMC non plausibili (<12 o >100)
replace imc=. if imc<12 | imc>100 
	
***Costruisco una nuova variabile claeta4 con le quattro classi di età e la valorizzo

gen claeta4=.
replace claeta4=1 if etarif >17 & etarif<25
replace claeta4=2 if etarif >24 & etarif<35
replace claeta4=3 if etarif >34 & etarif<50
replace claeta4=4 if etarif >49 & etarif<70
label define claeta4 1"1 18-24 anni " 2"2 25-34 anni" 3"3 35-49 anni" 4"4 50-69 anni"
label value claeta4 claeta4

***Elimino la variabile claeta3 stringa e la ricostruisco numerica
drop claeta3
gen claeta3=.
replace claeta3=1 if etarif >17 & etarif<35
replace claeta3=2 if etarif >34 & etarif<50
replace claeta3=3 if etarif >49 & etarif<70
label define claeta3 1"1 18-34 anni" 2"2 35-49 anni" 3"3 50-69 anni"
label value claeta3 claeta3

***Genero la variabile claetalav
gen claetalav=.
replace claetalav=1 if etarif >17 & etarif<35
replace claetalav=2 if etarif >34 & etarif<50
replace claetalav=3 if etarif >49 & etarif<66
label define claetalav 1"1 18-34 anni" 2"2 35-49 anni" 3"3 50-65 anni"
label value claetalav claetalav


recode etarif 18/19 = 1 20/24=2 25/29=3 30/34=4 35/39=5 40/44=6 45/49=7 50/54=8 55/59=9 60/64=10 65/69=11,  gen(claeta5)
*tab etarif claeta5

**definisco la variabile per il peso specifico mammo pre screening

*tostring asl_nuova, replace
*gen asl_strato_mammo=""
*replace asl_strato_mammo = "" if regione!=80

*replace asl_strato_mammo= asl_nuova + " " + strato_mammo if sesso=="2 Donne" & etarif>39 & etarif!=. 
*replace asl_strato_mammo = "" if strato_mammo=="" & regione!=80 


*destring asl_nuova, replace

*rename peso_mammo pesocomplex_mammo

*gen pesocomplex_mammonew=pesocomplex_mammo if peso_mammo==.
*replace pesocomplex_mammonew=peso_mammo if pesocomplex_mammo==.

*drop pesocomplex_mammo peso_mammo
*rename pesocomplex_mammonew pesocomplex_mammo

***Definisco la nuove variabili stato civile
gen statocivile=.
replace statocivile=1 if s14_stato_civ==1 
replace statocivile=2 if s14_stato_civ==2 
replace statocivile=3 if s14_stato_civ==3 
replace statocivile=4 if s14_stato_civ==4 
label define statocivile 1 "1 coniugato/a" 2 "2 celibe/nubile" 3"3 vedovo/a" 4"4 separato/divorziato"
label value statocivile statocivile

**Costruisco la nuova variabile titolo di studio a 5 categorie
gen istruz5cat=.
replace istruz5cat=1 if s14_tit_stud==1 
replace istruz5cat=2 if s14_tit_stud==2 
replace istruz5cat=3 if s14_tit_stud==3 
replace istruz5cat=4 if s14_tit_stud==4 
replace istruz5cat=5 if s14_tit_stud==5 
label define istruz5cat 1"1 nessuno" 2 "2 elementare" 3"3 media inferiore" 4"4 media superiore" 5"5 laurea"
label value istruz5cat istruz5cat

**Costruisco la nuova variabile titolo di studio a 4 categorie

gen istruz4cat=.
replace istruz4cat=1 if s14_tit_stud==1 | s14_tit_stud==2
replace istruz4cat=2 if s14_tit_stud==3 
replace istruz4cat=3 if s14_tit_stud==4 
replace istruz4cat=4 if s14_tit_stud==5 
label define istruz4cat 1"1 nessuno/elementare" 2 "2 media inferiore" 3"3 media superiore" 4"4 laurea"
label value istruz4cat istruz4cat 



gen istruz3cat=.
replace istruz3cat=1 if s14_tit_stud==1 | s14_tit_stud==2 | s14_tit_stud==3 
replace istruz3cat=2 if s14_tit_stud==4 
replace istruz3cat=3 if s14_tit_stud==5 
label define istruz3cat 1"1 fino alle medie" 2 "2 media superiore" 3"3 laurea" 
label value istruz3cat istruz3cat 

**Costruisco la nuova variabile istruzione (a due valori: bassa <= 8 anni di studio)

gen istruz2cat=.
replace istruz2cat=1 if s14_tit_stud==1 | s14_tit_stud==2 | s14_tit_stud==3
replace istruz2cat=2 if s14_tit_stud==4 | s14_tit_stud==5 
label define istruz2cat 1 "1 bassa" 2 "2 alta"
label value istruz2cat istruz2cat 


**** Definisco la nuova variabile cittadinanza
***  per individuare gli stranieri:

gen cittadinanza=.
replace cittadinanza=1 if  s14_cittadin==1 
replace cittadinanza=2 if  s14_cittadin==2 
label define cittadinanza 1 "1 italiana" 2"2 straniera"
label value cittadinanza cittadinanza

gen cittadinanza3cat=.
replace cittadinanza3cat=1 if s14_cittadin==1 
replace cittadinanza3cat=2 if s14_cittadin==2 
replace cittadinanza3cat=3 if s14_cittadin==3 
label define cittadinanza3cat 1 "1 italiana" 2"2 straniera" 3"3 doppia"
label value cittadinanza3cat cittadinanza3cat

**** Definisco la nuova variabile diffeconomiche4cat (a 4 categorie)
gen diffeconomiche4cat=.
replace diffeconomiche4cat=1 if s14_disp_econ==1 
replace diffeconomiche4cat=2 if s14_disp_econ==2 
replace diffeconomiche4cat=3 if s14_disp_econ==3 
replace diffeconomiche4cat=4 if s14_disp_econ==4 
label define diffeconomiche4cat 1"1 molto facilmente" 2"2 abbastanza facilmente" 3"3 con qualche difficolta" 4"4 con molte difficolta"
label value diffeconomiche4cat diffeconomiche4cat 

**** Definisco la nuova variabile diffeconomiche2cat (taglio simmetrico 2+2)

gen diffeconomiche2cat=.
replace diffeconomiche2cat=2 if s14_disp_econ==1 | s14_disp_econ==2 
replace diffeconomiche2cat=1 if s14_disp_econ==3 | s14_disp_econ==4 
label define diffeconomiche2cat 1"1 si" 2"2 no"
label value diffeconomiche2cat diffeconomiche2cat 

**** Definisco la nuova variabile diffeconomiche3cat: mette assieme "molto/abbastanza facilmente"

gen diffeconomiche3cat=.
replace diffeconomiche3cat=1 if s14_disp_econ==4 
replace diffeconomiche3cat=2 if s14_disp_econ==3 
replace diffeconomiche3cat=3 if s14_disp_econ==1 | s14_disp_econ==2 
label define diffeconomiche3cat 1"1 molte"  2"2 qualche"  3"3 nessuna"
label value diffeconomiche3cat diffeconomiche3cat 

*** genero la variabile socioecon, la variabile che tiene conto del titolo di studio e delle difficoltà economiche

gen socioecon4cat=.
replace socioecon4cat=1 if istruz2cat==1 & diffeconomiche2cat==1 
replace socioecon4cat=2 if istruz2cat==1 & diffeconomiche2cat==2 
replace socioecon4cat=3 if istruz2cat==2 & diffeconomiche2cat==1 
replace socioecon4cat=4 if istruz2cat==2 & diffeconomiche2cat==2 
label define socioecon4cat 1 "1 basso-diff" 2"2 basso-nodiff" 3"3 alto-diff" 4"4 alto-nodifff"
label value  socioecon4cat socioecon4cat

gen socioecon3cat=.
replace socioecon3cat=1 if socioecon4cat==1
replace socioecon3cat=2 if socioecon4cat==2 |  socioecon4cat==3 
replace socioecon3cat=3 if socioecon4cat==4
label define socioecon3cat 1 "1 basso-diff" 2"2 basso-nodiff/alto-diff" 3"3 alto-nodiff"
label value  socioecon3cat socioecon3cat


gen ncs=.
replace ncs=1 if regione==10
replace ncs=1 if regione==20
replace ncs=1 if regione==30
replace ncs=1 if regione==41
replace ncs=1 if regione==42
replace ncs=1 if regione==50
replace ncs=1 if regione==60
replace ncs=1 if regione==70
replace ncs=1 if regione==80
replace ncs=2 if regione==90
replace ncs=2 if regione==100
replace ncs=2 if regione==110
replace ncs=2 if regione==120
replace ncs=3 if regione==130
replace ncs=3 if regione==140
replace ncs=3 if regione==150
replace ncs=3 if regione==160
replace ncs=3 if regione==170
replace ncs=3 if regione==180
replace ncs=3 if regione==190
replace ncs=3 if regione==200
label define ncs 1 "1 nord" 2 "2 centro" 3 "3 sud e isole"
label values ncs ncs


*Definisco la variabile client
gen client=.
replace client=1 if ver_client=="MPAcati 0.9"
replace client=2 if ver_client=="MPAcati 1.1" 
replace client=3 if ver_client=="MPAcati 1.2" 
replace client=4 if ver_client=="ePassi 2.0" 
replace client=5 if ver_client=="ePassi 2.1" 
replace client=6 if ver_client=="ePassi 3.0" 
replace client=7 if ver_client=="ePassi 3.1" 
replace client=8 if ver_client=="ePassi 3.2" 
replace client=9 if ver_client=="ePassi 4.0" 
replace client=10 if ver_client=="ePassi 4.1" 
replace client=11 if ver_client=="ePassi 5.0" 
replace client=12 if ver_client=="ePassi 6.0" 
replace client=13 if ver_client=="ePassi 6.1" 
replace client=14 if ver_client=="ePassi 6.2" 
replace client=15 if ver_client=="ePassi 6.3" 
replace client=16 if ver_client=="ePassi 13.0"
replace client=17 if ver_client=="e-Passi 14.0"
replace client=18 if ver_client=="e-Passi 14.1"
replace client=19 if ver_client=="e-Passi 14.2"
replace client=20 if ver_client=="e-Passi 14.2.1"
replace client=21 if ver_client=="e-Passi 14.3"
replace client=22 if ver_client=="e-Pre.Gio 14.3"
replace client=23 if ver_client=="e-Passi 14.4"
replace client=24 if ver_client=="e-Passi 15.1"
replace client=25 if ver_client=="e-Passi 15.2"
replace client=26 if ver_client=="e-Passi 15.3"
replace client=27 if ver_client=="e-Passi 15.4"
replace client=28 if ver_client=="e-Passi 16.0"
replace client=29 if ver_client=="e-Passi 16.1"
replace client=30 if ver_client=="e-Passi 16.2"
replace client=31 if ver_client=="e-Passi 17.0"
replace client=32 if ver_client=="e-Passi 17.1"
replace client=33 if ver_client=="e-Passi 17.2"
replace client=34 if ver_client=="e-Passi 17.3"
replace client=35 if ver_client=="e-Passi 18.0"
replace client=36 if ver_client=="e-Passi 18.1"
replace client=37 if ver_client=="2019-v1"
replace client=38 if ver_client=="2020-v1"
replace client=38 if regexm(ver_client,"2020/v1")
replace client=39 if regexm(ver_client,"covid-2020-v1") | regexm(ver_client,"covid-20")
replace client=40 if regexm(ver_client,"2021")
	
***variabile tempo per i trend
gen data_intervista_new=date(data_intervista, "YMD")
gen data_intervista_new2=date(ora_inizio_intervista_pc, "YMDhms")

replace data_intervista_new=data_intervista_new2 if data_intervista==""
replace data_intervista_new=data_intervista_new2 if year(data_intervista_new)<2008
replace data_intervista_new=data_intervista_new2 if year(data_intervista_new)>=2022 & month(data_intervista_new)>=5

format data_intervista_new %td
gen mese_intervista= month(data_intervista_new)
gen anno_intervista=year(data_intervista_new)
replace anno_intervista=. if year(data_intervista_new)<2006 | year(data_intervista_new)>2023
gen data=ym(anno_intervista, mese_intervista)
format (data) %tmCCYY!mnn


************************************************************************************************************************************
************************************************************************************************************************************
************************************************************************************************************************************
**************FARE ATTENZIONE A ADATTARE LE ETICHETTE DELLA VARIABILE meseanno ************************
************************************************************************************************************************************
************************************************************************************************************************************
************************************************************************************************************************************

***creo la variabile meseanno per le analisi delle serie storiche
gen meseanno=ym(anno_intervista, mese_intervista)
format meseanno %tmMY
label define meseanno 576 "gen-08" 577 "feb-08" 578 "mar-08" 579 "apr-08" 580 "mag-08" 581 "giu-08" 582 "lug-08" 583 "ago-08" 584 "set-08" 585 "ott-08" 586 "nov-08" 587 "dic-08" ///
588 "gen-09" 589 "feb-09" 590 "mar-09" 591 "apr-09" 592 "mag-09" 593 "giu-09" 594 "lug-09" 595 "ago-09" 596 "set-09" 597 "ott-09" 598 "nov-09" 599 "dic-09" ///
600 "gen-10" 601 "feb-10" 602 "mar-10" 603 "apr-10" 604 "mag-10" 605 "giu-10" 606 "lug-10" 607 "ago-10" 608 "set-10" 609 "ott-10" 610 "nov-10" 611 "dic-10" ///
612 "gen-11" 613 "feb-11" 614 "mar-11" 615 "apr-11" 616 "mag-11" 617 "giu-11" 618 "lug-11" 619 "ago-11" 620 "set-11" 621 "ott-11" 622 "nov-11" 623 "dic-11" ///
624 "gen-12" 625 "feb-12" 626 "mar-12" 627 "apr-12" 628 "mag-12" 629 "giu-12" 630 "lug-12" 631 "ago-12" 632 "set-12" 633 "ott-12" 634 "nov-12" 635 "dic-12" ///
636 "gen-13" 637 "feb-13" 638 "mar-13" 639 "apr-13" 640 "mag-13" 641 "giu-13" 642 "lug-13" 643 "ago-13" 644 "set-13" 645 "ott-13" 646 "nov-13" 647 "dic-13" ///
648 "gen-14" 649 "feb-14" 650 "mar-14" 651 "apr-14" 652 "mag-14" 653 "giu-14" 654 "lug-14" 655 "ago-14" 656 "set-14" 657 "ott-14" 658 "nov-14" 659 "dic-14" ///
660 "gen-15" 661 "feb-15" 662 "mar-15" 663 "apr-15" 664 "mag-15" 665 "giu-15" 666 "lug-15" 667 "ago-15" 668 "set-15" 669 "ott-15" 670 "nov-15" 671 "dic-15" ///
672 "gen-16" 673 "feb-16" 674 "mar-16" 675 "apr-16" 676 "mag-16" 677 "giu-16" 678 "lug-16" 679 "ago-16" 680 "set-16" 681 "ott-16" 682 "nov-16" 683 "dic-16" ///
684 "gen-17" 685 "feb-17" 686 "mar-17" 687 "apr-17" 688 "mag-17" 689 "giu-17" 690 "lug-17" 691 "ago-17" 692 "set-17" 693 "ott-17" 694 "nov-17" 695 "dic-17" ///
696 "gen-18" 697 "feb-18" 698 "mar-18" 699 "apr-18" 700 "mag-18" 701 "giu-18" 702 "lug-18" 703 "ago-18" 704 "set-18" 705 "ott-18" 706 "nov-18" 707 "dic-18" ///
708 "gen-19" 709 "feb-19" 710 "mar-19" 711 "apr-19" 712 "mag-19" 713 "giu-19" 714 "lug-19" 715 "ago-19" 716 "set-19" 717 "ott-19" 718 "nov-19" 719 "dic-19" ///
720 "gen-20" 721 "feb-20" 722 "mar-20" 723 "apr-20" 724 "mag-20" 725 "giu-20" 726 "lug-20" 727 "ago-20" 728 "set-20" 729 "ott-20" 730 "nov-20" 731 "dic-20" ///
732 "gen-21" 733 "feb-21" 734 "mar-21" 735 "apr-21" 736 "mag-21" 737 "giu-21" 738 "lug-21" 739 "ago-21" 740 "set-21" 741 "ott-21" 742 "nov-21" 743 "dic-21" ///
744 "gen-22" 745 "feb-22" 746 "mar-22" 747 "apr-22" 748 "mag-22" 749 "giu-22" 750 "lug-22" 751 "ago-22" 752 "set-22" 753 "ott-22" 754 "nov-22" 755 "dic-22" ///

label values meseanno meseanno

***correggo le interviste che hanno un anno di intervista antecedente all'anno di assegnazione
replace meseanno=. if anno_intervista<anno
replace meseanno=. if meseanno<576 | meseanno>743

replace meseanno=. if anno_intervista>anno & mese_intervista>4
replace meseanno=. if anno==2008 & anno_intervista==2011 & mese_intervista==1
replace meseanno=. if anno==2009 & anno_intervista==2011 & mese_intervista==2
replace meseanno=. if anno==2010 & anno_intervista==2012 & mese_intervista==3
replace meseanno=. if anno==2011 & anno_intervista==2013 & (mese_intervista==1 | mese_intervista==2)
replace meseanno=. if anno==2012 & anno_intervista==2014 & (mese_intervista==1 | mese_intervista==2)
replace meseanno=. if anno==2013 & anno_intervista==2015 & mese_intervista==4


***trasformo la variabile sesso da stringa a numero 
gen sesson=.
replace sesson=1 if sesso=="1 Uomini"
replace sesson=2 if sesso=="2 Donne"
drop sesso
rename sesson sesso
label define sesso 1"1 uomini" 2"2 donne"
label values sesso sesso

***sulle variabili imc categorighe calcolate da MPA c' qualche problema sui cut-off. Le ricacloliamo qui.


***genero imc2cat
drop imc2cat
gen imc2cat=.
replace imc2cat=0 if imc <25 & imc !=.
replace imc2cat=1 if imc >=25 & imc !=.
label define imc2cat 0 "0 sottopeso/normopeso" 1 "1 sovrappeso/obeso"
label value imc2cat imc2cat

***genero imc3catgen 
drop imc3cat
gen imc3cat=.
replace imc3cat = 1 if imc <25 & imc !=.
replace imc3cat = 2 if imc >=25 & imc<30 & imc !=.
replace imc3cat = 3 if imc >=30 & imc !=.
label define imc3cat 1 "1 sottopeso/normopeso" 2 "2 sovrappeso" 3"3 obeso"
label value imc3cat imc3cat

***genero imc3catgen 
drop imc4cat
gen imc4cat=.
replace imc4cat=1 if imc <18.5 & imc !=.
replace imc4cat=2 if imc >=18.5 & imc<25 & imc !=.
replace imc4cat=3 if imc >=25 & imc<30 & imc !=.
replace imc4cat=4 if imc >=30 & imc !=.
label define imc4cat 1 "1 sottopeso" 2 "2 normopeso" 3"3 sovrappeso" 4"4 obeso"
label value imc4cat imc4cat

***trasformo la variabile asl2 da stringa a numero 
destring asl_nuova, replace

rename asl_nuova asl2

***L'attuale variabile asl_nuova la rinomino asl2 e creo una nuova variabile asl_nuova
***in cui le asl delle Marche sono riaggregate a formare 5 aree vaste (110101, 110102,
***110103, 110104, 110105), due distretti del friuli passano dall 60204 alla 60203 e
***quattro asl dell'ER vengono riaggregate in un'unica asl nuova (USL Romagna)

gen asl_nuova=asl2
replace asl_nuova=asl2 if asl_nuova==.
replace asl_nuova=110301 if asl2==110201 | asl2==110202 | asl2==110203
replace asl_nuova=110302 if asl2==110204 | asl2==110205 | asl2==110206 | asl2==110207
replace asl_nuova=110303 if asl2==110208 | asl2==110209 | asl2==110210
replace asl_nuova=110304 if asl2==110211
replace asl_nuova=110305 if asl2==110212 | asl2==110213

 

replace asl_nuova=41201 if asl2==41101

*replace asl_nuova=60203 if distretto_intervistato=="6010401" | distretto_intervistato=="6010404" | distretto_intervistato=="SAN DANIELE" | distretto_intervistato=="SAN  DANIELE" | distretto_intervistato=="CODROIPO" | distretto_intervistato=="CODROIP"

replace asl_nuova=60206 if asl2==60204 | asl2==60203 |(asl==60106 & anno==2011)
replace asl_nuova=60207 if asl2==60201 | asl2==60202

replace asl_nuova=80114 if asl2==80110 | asl2==80111 | asl2==80112 | asl2==80113

replace asl_nuova=90201 if asl2==90111 | asl2==90104 | asl2==90110 | asl2==90103
replace asl_nuova=90202 if asl2==90112 | asl2==90106 | asl2==90105 | asl2==90102 | asl2==90101
replace asl_nuova=90203 if asl2==90108 | asl2==90107 | asl2==90109

replace asl_nuova=120201 if asl2==120101 | asl2==120105
replace asl_nuova=120202 if asl2==120102 | asl2==120103
replace asl_nuova=120203 if asl2==120104 
replace asl_nuova=120204 if asl2==120106
replace asl_nuova=120205 if asl2==120107
replace asl_nuova=120206 if asl2==120108

replace asl_nuova=160113 if asl2==160101
replace asl_nuova=160114 if asl2==160102
replace asl_nuova=160115 if asl2==160103
replace asl_nuova=160116 if asl2==160104
replace asl_nuova=160106 if asl2==160105
replace asl_nuova=160112 if asl2==160106

replace asl_nuova=190201 if asl2==190101
replace asl_nuova=190202 if asl2==190102
replace asl_nuova=190203 if asl2==190103
replace asl_nuova=190204 if asl2==190104
replace asl_nuova=190205 if asl2==190105
replace asl_nuova=190206 if asl2==190106
replace asl_nuova=190207 if asl2==190107
replace asl_nuova=190208 if asl2==190108
replace asl_nuova=190209 if asl2==190109



***aggiungo le variabili sociodemografiche invertite utili per i modelli

gen claeta4_inv=.
replace  claeta4_inv=1 if  claeta4==4
replace  claeta4_inv=2 if  claeta4==3
replace  claeta4_inv=3 if  claeta4==2
replace  claeta4_inv=4 if  claeta4==1
label define claeta4_inv 1"1 50-69 anni" 2"2 35-49 anni" 3"3 25-34 anni" 4"4 18-24 anni"
label value claeta4_inv claeta4_inv

gen claeta3_inv=.
replace  claeta3_inv=1 if  claeta3==3
replace  claeta3_inv=2 if  claeta3==2
replace  claeta3_inv=3 if  claeta3==1
label define claeta3_inv 1"1 50-69 anni" 2"2 35-49 anni" 3"3 18-34 anni" 
label value claeta3_inv claeta3_inv


gen sesso_inv=.
replace sesso_inv=1 if sesso==2
replace sesso_inv=2 if sesso==1
label define sesso_inv 1"1 donne" 2"2 uomini" 
label value sesso_inv sesso_inv


gen diffeconomiche3cat_inv=.
replace diffeconomiche3cat_inv=1 if diffeconomiche3cat==3
replace diffeconomiche3cat_inv=2 if diffeconomiche3cat==2
replace diffeconomiche3cat_inv=3 if diffeconomiche3cat==1
label define diffeconomiche3cat_inv 1"1 nessuna" 2"2 qualche" 3"3 molte"
label value diffeconomiche3cat_inv diffeconomiche3cat_inv

gen diffeconomiche2cat_inv=.
replace diffeconomiche2cat_inv=1 if diffeconomiche2cat==2
replace diffeconomiche2cat_inv=2 if diffeconomiche2cat==1
label define diffeconomiche2cat_inv 1"1 no" 2"2 si"
label value diffeconomiche2cat_inv diffeconomiche2cat_inv



gen cittadinanza_inv=.
replace cittadinanza_inv=1 if cittadinanza==2
replace cittadinanza_inv=2 if cittadinanza==1
label define cittadinanza_inv 1"1 straniera" 2"2 italiana" 
label value cittadinanza_inv cittadinanza_inv


gen ncs_inv=.
replace ncs_inv=1 if ncs==3
replace ncs_inv=2 if ncs==2
replace ncs_inv=3 if ncs==1
label define ncs_inv 1"1 sud" 2"2 centro" 3"3 nord"
label value ncs_inv ncs_inv


gen istruz4cat_inv=.
replace  istruz4cat_inv=1 if  istruz4cat==4
replace  istruz4cat_inv=2 if  istruz4cat==3
replace  istruz4cat_inv=3 if  istruz4cat==2
replace  istruz4cat_inv=4 if  istruz4cat==1
label define istruz4cat_inv 1"1 laurea" 2"2 media superiore" 3"3 media inferiore" 4"4 nessuno/elementare"
label value istruz4cat_inv istruz4cat_inv

gen istruz3cat_inv=.
replace  istruz3cat_inv=1 if  istruz3cat==3
replace  istruz3cat_inv=2 if  istruz3cat==2
replace  istruz3cat_inv=3 if  istruz3cat==1
label define istruz3cat_inv 1"1 laurea" 2"2 diploma" 3"3 fino alla media" 
label value istruz3cat_inv istruz3cat_inv

gen istruz2cat_inv=.
replace istruz2cat_inv=1 if istruz2cat==2
replace istruz2cat_inv=2 if istruz2cat==1
label define istruz2cat_inv 1 "1 alta" 2 "2 bassa"
label value istruz2cat_inv istruz2cat_inv 

