
***Sezione alimentazione

***obeso
gen obeso=.
replace obeso=1 if imc3cat==3
replace obeso=0 if imc3cat==1 | imc3cat==2
label define obeso  1 "1 si" 0 "0 no" 
label value  obeso obeso

**variabile per definire il cambiamento peso nell'ultilmo anno; 
**eliminato i missing, gravidanze, non so/non ricordo

gen cambiamento_peso = .
replace cambiamento_peso = 1 if s14_var_peso == 1
replace cambiamento_peso = 2 if s14_var_peso  == 2
replace cambiamento_peso = 3 if s14_var_peso  == 3
replace cambiamento_peso = . if s14_var_peso  == -99 | s14_var_peso  == 4 
label define cambiamento_peso  1 "1 aumentato 2+ kg" 2 "2 stabile" 3 "3 perso 2+ kg"
label value  cambiamento_peso cambiamento_peso

**variabile per definire il l'autopercezione del peso; 
**eliminato i missing, non so/non ricordo
gen autopercez_peso=.
replace autopercez_peso=1 if s04_peso_giud ==1
replace autopercez_peso=2 if s04_peso_giud ==3
replace autopercez_peso=3 if s04_peso_giud ==2
label define autopercez_peso  1 "1 alto" 2 "2 giusto" 3 "3 basso"
label value  autopercez_peso autopercez_peso

**variabile per definire se un medico o altro operatore ha suggerito 
**di perdere o mantenere costante il peso; eliminato i missing, chi 
**non e' andato dal medico nell'ultimo anno; non so/non ricordo 
**trattati come no
gen consigli_peso=.
replace consigli_peso=1 if s04_peso_cons==1
replace consigli_peso=0 if s04_peso_cons==-99 | s04_peso_cons==2 | s04_peso_cons==3
replace consigli_peso=. if s04_peso_cons==4
label define consigli_peso  1 "1 si" 0 "0 no" 
label value  consigli_peso consigli_peso

*************************************************************************************

gen consigli_peso_bis=.
replace consigli_peso_bis=1 if s04_peso_cons==1
replace consigli_peso_bis=0 if s04_peso_cons==-99 | s04_peso_cons==3
replace consigli_peso_bis=. if s04_peso_cons==4 | s04_peso_cons==2 | (client<4 & client!=.)
label define consigli_peso_bis  1 "1 si" 0 "0 no" 
label value  consigli_peso_bis consigli_peso_bis

gen medicosuggAF_bis = .
replace medicosuggAF_bis =1 if s02_sanit_att_sugg == 1
replace medicosuggAF_bis =0 if s02_sanit_att_sugg ==2 | s02_sanit_att_sugg ==-99
replace medicosuggAF_bis =. if client <4 & client!=.
label define medicosuggAF_bis  1 "1 si" 0 "0 no" 
label value medicosuggAF_bis medicosuggAF_bis

********************************************************************************

**variabile per definire se la persona sta facendo una dieta per
**perdere o mantenere costante il peso
gen fa_dieta=.
replace fa_dieta=1 if s04_peso_dieta=="t"
replace fa_dieta=0 if s04_peso_dieta=="f"
label define fa_dieta  1 "1 si" 0 "0 no" 
label value  fa_dieta fa_dieta

*********** definisco le variabile per l'analisi del fiveaday ************

gen fiveaday4cat=.
replace fiveaday4cat=1 if s04_consu_frutta==1
replace fiveaday4cat=2 if s04_consu_frutta==2
replace fiveaday4cat=3 if s04_consu_frutta==3
replace fiveaday4cat=4 if s04_consu_frutta==4
label define fiveaday4cat  1 "1 0 porzioni" 2 "2 1/2 porzioni" 3 "3 3/4 porzioni" 4 "4 5+ porzioni"
label value  fiveaday4cat fiveaday4cat

gen fiveaday2cat=.
replace fiveaday2cat=0 if s04_consu_frutta<4 & s04_consu_frutta!=.
replace fiveaday2cat=1 if s04_consu_frutta==4
label define fiveaday2cat  0 "0 <5 porzioni" 1 "1 5+ porzioni"
label value fiveaday2cat fiveaday2cat

gen almeno3porz=.
replace almeno3porz=0 if s04_consu_frutta==1
replace almeno3porz=0 if s04_consu_frutta==2
replace almeno3porz=1 if s04_consu_frutta==3
replace almeno3porz=1 if s04_consu_frutta==4
label define almeno3porz 1"1 si" 2"2 no"
label value almeno3porz almeno3porz

gen almeno_attiv_mod=.
replace almeno_attiv_mod=1 if sedentario==0
replace almeno_attiv_mod=0 if sedentario==1
label define almeno_attiv_mod 1"1 si" 0"0 no"
label value almeno_attiv_mod almeno_attiv_mod



