
*** Sezione Cardiovascolare 

**** variabili della sotto-sezione sullipertensione arteriosa

* Definisco la variabile misuratoPA per calcolare a quanti  stata
* misurata la PA almeno una volta nella vita da parte di un medico
* o altro operatore sanitario. La risposta Non so/non ricordo 
* equiparata a No
gen misuratopa=.
replace misuratopa=1 if s07_press_mis==1
replace misuratopa=0 if s07_press_mis==2 | s07_press_mis==-99
label define misuratopa 1"1 si" 0"0 no/non ricordo" 
label value misuratopa misuratopa

* Definisco la variabile PAultimavolta per vedere quando  stata
* l'ultima volta che  stata misurata la PA da un medico o operatore
* sanitario La risposta Non so/non ricordo a questa domanda
*  stata aggregata a "Pi di 2 anni fa" per coerenza con Passi 2005
* Per il MAI si  considerato chi nella variabile misuratoPA
* ha detto No oppure NON SO/NON RICORDO
gen paultimavolta=.
replace paultimavolta=1 if s07_press_quando==1 | s07_press_quando==2
replace paultimavolta=2 if s07_press_quando==3 | s07_press_quando==-99
replace paultimavolta=3 if s07_press_mis==2 | s07_press_mis==-99
label define paultimavolta 1"1 meno di 2 anni fa" 2"2 piu di 2 anni fa" 3"3 mai"
label value paultimavolta paultimavolta

** Definisco la variabile dicotomica YES/NO "misuratoPA_2anni_logist" necessaria per l'analisi logistica
gen misuratopa_2anni=.
replace misuratopa_2anni=1 if paultimavolta==1
replace misuratopa_2anni=0 if paultimavolta==2 | paultimavolta==3
label define misuratopa_2anni 1"1 si" 0"0 no" 
label value misuratopa_2anni misuratopa_2anni

* Definisco la variabile Iperteso per vedere quanti sono gli ipertesi 
gen iperteso=.
replace iperteso=1 if s07_press_alta==1
replace iperteso=0 if s07_press_alta==2 | s07_press_alta==-99
label define iperteso 1"1 si" 0"0 no" 
label value iperteso iperteso

* Definisco la variabile ipertesofarm per vedere
* quanti sono gli ipertesi che prendono farmaci
gen ipertesofarm=.
replace ipertesofarm=1 if s07_press_farm==1
replace ipertesofarm=0 if s07_press_farm==2 | s07_press_farm==-99
label define ipertesofarm 1"1 si" 0"0 no" 
label value ipertesofarm ipertesofarm

* Definisco la variabile ridurresalePA
* per vedere a quanti il medico consiglia di ridurre il sale
* per controllare la PA
gen ridurresalepa=.
replace ridurresalepa=1 if s07_sugg_sale_press==1
replace ridurresalepa=0 if s07_sugg_sale_press==2 | s07_sugg_sale_press==-99
label define ridurresalepa 1"1 si" 0"0 no"
label value ridurresalepa ridurresalepa

* Definisco la variabile consiglioattfisPA per vedere a quanti
* il medico consiglia di fare attivit fisica per controllare la PA
gen consiglioattfispa=.
replace consiglioattfispa=1 if s07_sugg_att_fis_press==1
replace consiglioattfispa=0 if s07_sugg_att_fis_press==2 | s07_sugg_att_fis_press==-99
label define consiglioattfispa 1"1 si" 0"0 no" 
label value consiglioattfispa consiglioattfispa


* Definisco la variabile consiglioperdpesoPA
* per vedere a quanti il medico consiglia
* di perdere o mantenere peso corporeo per controllare la PA

gen consiglioperdpesopa=.
replace consiglioperdpesopa=1 if s07_sugg_peso_press==1
replace consiglioperdpesopa=0 if s07_sugg_peso_press==2 | s07_sugg_peso_press==-99
label define consiglioperdpesopa 1"1 si" 0"0 no" 
label value consiglioperdpesopa consiglioperdpesopa

**** variabili della sotto-sezione sul colesterolo

* Definisco la variabile misuratocolest per calcolare a quanti  stato
* misurato il colesterolo almeno una volta nella vita da parte di un medico
* o altro operatore sanitario. La risposta Non so/non ricordo 
* equiparata a No
gen misuratocolest=.
replace misuratocolest=1 if s07_colest_mis==1
replace misuratocolest=0 if s07_colest_mis==2 | s07_colest_mis==-99
label define misuratocolest 1"1 si" 0"0 no/non ricordo" 
label value misuratocolest misuratocolest

* Definisco la variabile Colestultimavolta per vedere quando  stata
* l'ultima volta che  stato misurato il colesterolo
* Per il MAI si  considerato chi nella variabile misuratocolest
* ha detto NO oppure NON SO/NON RICORDO
gen colestultimavolta=.
replace colestultimavolta=1 if s07_colest_quando==1
replace colestultimavolta=2 if s07_colest_quando==2
replace colestultimavolta=3 if s07_colest_quando==3 | s07_colest_quando==-99
replace colestultimavolta=4 if s07_colest_mis==2 | s07_colest_mis==-99
label define colestultimavolta 1"1 ultimi 12 mesi" 2"2 tra 1 e 2 anni fa" 3"3 piu di 2 anni fa" 4"4 mai" 
label value colestultimavolta colestultimavolta

****** Definisco la variabile colestalto per vedere quanti sono gli ipercolesterolemici 
gen colestalto=.
replace colestalto=1 if s07_med_colest_alto==1
replace colestalto=0 if s07_med_colest_alto==2 | s07_med_colest_alto==-99
label define colestalto 1"1 si" 0"0 no" 
label value colestalto colestalto

*** Definisco la variabile colestfarm per vedere quanti sono gli
*** ipercolesterolemici che prendono farmaci
gen colestfarm=.
replace colestfarm=1 if s07_colest_farm==1
replace colestfarm=0 if s07_colest_farm==2 | s07_colest_farm==-99
label define colestfarm 1"1 si" 0"0 no" 
label value colestfarm colestfarm

****** Definisco la variabile ridurrecarnecolest per vedere a quanti il
****** medico consiglia di ridurre il consumo di carne e formaggi per 
****** controllare il colesterolo
gen ridurrecarnecolest=.
replace ridurrecarnecolest=1 if s07_sugg_carne_col==1
replace ridurrecarnecolest=0 if s07_sugg_carne_col==2 | s07_sugg_carne_col==-99
label define ridurrecarnecolest 1"1 si" 0"0 no" 
label value ridurrecarnecolest ridurrecarnecolest

****** Definisco la variabile consiglioattfiscol per vedere a quanti il 
****** medicoconsiglia di fare attivit fisica per controllare il colesterolo
gen consiglioattfiscolest=.
replace consiglioattfiscolest=1 if s07_sugg_att_fis_col==1
replace consiglioattfiscolest=0 if s07_sugg_att_fis_col==2 | s07_sugg_att_fis_col==-99
label define consiglioattfiscolest 1"1 si" 0"0 no"
label value consiglioattfiscolest consiglioattfiscolest

****** Definisco la variabile consiglioperdpesocolest per vedere a quanti il 
*****  medico consiglia di perdere o mantenere peso corporeo per controllare il
****** colesterolo
gen consiglioperdpesocolest=.
replace consiglioperdpesocolest=1 if s07_sugg_peso_col==1
replace consiglioperdpesocolest=0 if s07_sugg_peso_col==2  |  s07_sugg_peso_col==-99
label define consiglioperdpesocolest 1"1 si" 0"0 no" 
label value consiglioperdpesocolest consiglioperdpesocolest

****** Definisco la variabile consigliofruttacolest per vedere a quanti il 
*****  medico consiglia aumento di consumo di frutta/verdura per controllare il
****** colesterolo
gen consigliofruttacolest=.
replace consigliofruttacolest=1 if s07_sugg_frutta_col==1
replace consigliofruttacolest=0 if s07_sugg_frutta_col==2 | s07_sugg_frutta_col==-99
label define consigliofruttacolest 1"1 si" 0"0 no"
label value consigliofruttacolest consigliofruttacolest

*******************************************************

**** variabili della sotto-sezione sul calcolo del rischio CV 

**** Definisco la nuova variabile calcolo_rischioCV (includendo nel "no" i "non so - non ricordo")

gen calcolo_rischiocv=.
replace calcolo_rischiocv=1 if s07_calc_risc==1
replace calcolo_rischiocv=0 if s07_calc_risc==2 | s07_calc_risc==-99
label define calcolo_rischiocv 1"1 si" 0"0 no"
label value calcolo_rischiocv calcolo_rischiocv

***Costruisco una nuova variabile claeta4CV con quattro classi di et per le tabelle sul rischio CV

gen claeta4cv=.
replace claeta4cv=1 if etarif>34 & etarif<40
replace claeta4cv=2 if etarif>39 & etarif<50
replace claeta4cv=3 if etarif>49 & etarif<60
replace claeta4cv=4 if etarif>59 & etarif<70
label define claeta4cv 1"1 35-39 anni" 2"2 40-49 anni" 3"3 50-59 anni" 4"4 60-69 anni"
label value claeta4cv claeta4cv

****** Costruisco una nuova variabile fatt_rischio_CV per individuare i soggetti con almeno un fattore di rischio CV
****** (fumo o ipertensione o ipercolesterolemia o  diabete o eccesso ponderale o scarso consumo di frutta e verdura o sedentariet)

***Creo la variabile five che trasforma in 1 (fattore di rischio) il NON CONSUMO di 5 porzioni di frutta e verdura al giorno
gen five = 0
replace five = 1 if fiveaday2cat == 0

egen somma_fattori = rowtotal (fumatore iperteso colestalto diabete_2014 imc2cat five sedentario), m

gen fatt_rischio_cv=.
replace fatt_rischio_cv=0 if somma_fattori==0
replace fatt_rischio_cv=1 if somma_fattori >0 & somma_fattori !=.
label define fatt_rischio_cv 1 "1 si" 0 "0 no"
label value fatt_rischio_cv fatt_rischio_cv

***la rendo categoriale***
gen somma_fattori_cat = .
replace somma_fattori_cat = 0 if somma_fattori == 0
replace somma_fattori_cat = 1 if somma_fattori == 1 | somma_fattori == 2
replace somma_fattori_cat = 2 if somma_fattori == 3 | somma_fattori == 4
replace somma_fattori_cat = 3 if somma_fattori == 5 | somma_fattori == 6 | somma_fattori == 7
label define somma_fattori_cat 0 "0 nessuno" 1 "1 uno/due" 2 "2 tre/quattro" 3"3 cinque/sei/sette"
label value somma_fattori_cat somma_fattori_cat



********************** CONSUMO SALE

******* variabile che indica le persone che fanno attenzione alla quantit di sale o cercano di ridurla
******* metto il non so nel no (ok?)

gen attenz_sale=.
replace attenz_sale=1 if s04_attenz_sale==1
replace attenz_sale=0 if s04_attenz_sale==2 | s04_attenz_sale==-99

label define attenz_sale 1 "1 si" 0 "0 no"
label value attenz_sale attenz_sale

******* variabile che mi indica da quanto tempo le persone fanno attenzione alla quantit di sale o cercano di ridurla
******* tra chi fa attenzione

gen attenz_sale_quando=s04_attenz_sale_quando

label define attenz_sale_quando 1 "1 ultimo anno" 2 "2 piu tempo"
label value attenz_sale_quando attenz_sale_quando

******* variabile che mi indica da quanto tempo le persone fanno attenzione alla quantit di sale o cercano di ridurla
******* tra tutti gli intervistati

gen attenz_sale_3cat=.
replace attenz_sale_3cat=1 if s04_attenz_sale==1 & s04_attenz_sale_quando==1
replace attenz_sale_3cat=2 if s04_attenz_sale==1 & s04_attenz_sale_quando==2
replace attenz_sale_3cat=3 if s04_attenz_sale==2 | s04_attenz_sale==-99

label define attenz_sale_3cat 1 "1 attenzione da ultimo anno" 2 "2 attenzione da piu tempo" 3 "3 non fa attenzione"
label value attenz_sale_3cat attenz_sale_3cat

******** variabile che identifica chi ha ricevuto il consiglio sanitario di fare attenzione o ridurre il 
******** consumo di sale (esclusi quelli che non sono stati dal medico)

gen sanit_attenzione_sale=.
replace sanit_attenzione_sale=1 if s04_sanit_attenzione_sale_sugg==1
replace sanit_attenzione_sale=0 if s04_sanit_attenzione_sale_sugg==12 | s04_sanit_attenzione_sale_sugg==-99
replace sanit_attenzione_sale=. if s04_sanit_attenzione_sale_sugg==13 

label define sanit_attenzione_sale 1 "1 si" 0 "0 no"
label value sanit_attenzione_sale sanit_attenzione_sale

****** variabile che mi indica la frequenza dell'uso del sale iodato a 4 cat

gen sale_iodato=1 if s04_uso_sale_iodato==1
replace sale_iodato=2 if s04_uso_sale_iodato==2
replace sale_iodato=3 if s04_uso_sale_iodato==3
replace sale_iodato=4 if s04_uso_sale_iodato==4
replace sale_iodato=5 if s04_uso_sale_iodato==5
replace sale_iodato=6 if s04_uso_sale_iodato==-99
label define sale_iodato 1 "1 sempre" 2 "2 spesso" 3 "3 a volte" 4 "4 mai" 5 "5 non so cosa sia" 6 "6 non so"
label value sale_iodato sale_iodato


****** variabile che mi indica la frequenza dell'uso del sale iodato a 4 cat

gen sale_iodato4cat=1 if s04_uso_sale_iodato==1 |  s04_uso_sale_iodato==2
replace sale_iodato4cat=2 if s04_uso_sale_iodato==3
replace sale_iodato4cat=3 if s04_uso_sale_iodato==4
replace sale_iodato4cat=4 if s04_uso_sale_iodato==5 | s04_uso_sale_iodato==-99
label define sale_iodato4cat 1 "1 sempre/spesso" 2 "2 a volte" 3 "3 mai" 4 "4 non so cosa sia/non so"
label value sale_iodato4cat sale_iodato4cat


gen sale_iodato4cat_new=1 if s04_uso_sale_iodato==1 |  s04_uso_sale_iodato==2
replace sale_iodato4cat_new=2 if s04_uso_sale_iodato==3
replace sale_iodato4cat_new=3 if s04_uso_sale_iodato==4
replace sale_iodato4cat_new=4 if s04_uso_sale_iodato==5
label define sale_iodato4cat_new 1 "1 sempre/spesso" 2 "2 a volte" 3 "3 mai" 4 "4 non so cosa sia"
label value sale_iodato4cat_new sale_iodato4cat_new

gen sale_iodato3cat_new=1 if s04_uso_sale_iodato==1 |  s04_uso_sale_iodato==2 | s04_uso_sale_iodato==3
replace sale_iodato3cat_new=2 if s04_uso_sale_iodato==4
replace sale_iodato3cat_new=3 if s04_uso_sale_iodato==5
label define sale_iodato3cat_new 1 "1 sempre/spesso/a volte" 2 "2 mai" 3 "3 non so cosa sia" 
label value sale_iodato3cat_new sale_iodato3cat_new

****** variabile che mi indica la frequenza dell'uso del sale iodato a 2 cat
****** escluso non so cosa sia e non so

gen sale_iodato2cat=1 if s04_uso_sale_iodato==1 |  s04_uso_sale_iodato==2
replace sale_iodato2cat=0 if s04_uso_sale_iodato==3 |  s04_uso_sale_iodato==4
label define sale_iodato2cat 1 "1 sempre/spesso" 0 "0 a volte/mai"
label value sale_iodato2cat sale_iodato2cat

****** variabile che mi indica l'uso SEMPRE del sale iodato
****** escluso non so cosa sia e non so

gen sale_iodato_sempre=1 if s04_uso_sale_iodato==1 
replace sale_iodato_sempre=0 if s04_uso_sale_iodato==2 | s04_uso_sale_iodato==3 |  s04_uso_sale_iodato==4
label define sale_iodato_sempre 1 "1 sempre" 0 "0 spesso/a volte/mai"
label value sale_iodato_sempre sale_iodato_sempre

******* variabile che identifica chi ha ipertensione o malattia renale

gen iper_mren=0
replace iper_mren=1 if iperteso==1 | insuff_renale==1
replace iper_mren=. if iperteso==. & insuff_renale==.

label define iper_mren 1 "1 si" 0 "0 no"
label value iper_mren iper_mren


foreach var of varlist  calcolo_rischiocv-claeta4cv{
	replace `var'=. if etarif<35 | cardiocebrovasc==1
}

